aboutsummaryrefslogtreecommitdiff
path: root/editbootinstall_rpilegacy.sh
diff options
from:
to:
context:
space:
mode:
Diffstat (limited to 'editbootinstall_rpilegacy.sh')
-rwxr-xr-xeditbootinstall_rpilegacy.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/editbootinstall_rpilegacy.sh b/editbootinstall_rpilegacy.sh
new file mode 100755
index 0000000..dfa178f
--- /dev/null
+++ b/editbootinstall_rpilegacy.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -euxo pipefail
+
+diskname=$1
+devname="$2"
+loopname="${devname%*p?}"
+loopdev=/dev/${loopname#/dev/*}
+
+#==========================================
+# Force the ESP to use legacy MBR identifier
+#------------------------------------------
+#
+# Raspberry Pi 3 and older systems don't handle
+# the 0xef partition type for the ESP, so switch
+# to the legacy one.
+#
+sfdisk --change-id ${loopdev} 1 6